// swift-tools-version:5.5
import PackageDescription

let package = Package(
    name: "SesameServer",
    platforms: [
       .macOS(.v12)
    ],
    dependencies: [
        .package(url: "https://github.com/vapor/vapor.git", from: "4.0.0"),
        .package(url: "https://github.com/christophhagen/Clairvoyant", from: "0.13.0"),
        .package(url: "https://github.com/christophhagen/ClairvoyantVapor", from: "0.5.0"),
        .package(url: "https://github.com/christophhagen/ClairvoyantBinaryCodable", from: "0.3.1"),
        .package(url: "https://github.com/apple/swift-crypto.git", "1.0.0" ..< "4.0.0"),
    ],
    targets: [
        .executableTarget(
            name: "App",
            dependencies: [
                .product(name: "Vapor", package: "vapor"),
                .product(name: "Clairvoyant", package: "Clairvoyant"),
                .product(name: "ClairvoyantVapor", package: "ClairvoyantVapor"),
                .product(name: "ClairvoyantBinaryCodable", package: "ClairvoyantBinaryCodable"),
                .product(name: "Crypto", package: "swift-crypto"),
            ]
        )
    ]
)
